import { AfterViewInit, ElementRef, OnInit } from '@angular/core';
import { Options } from '../models/options';
export declare class NgGxSplitTextDirective implements OnInit, AfterViewInit {
    private el;
    options: Options;
    private srcTextContent;
    private init;
    private currentOptions;
    private splitNodes;
    constructor(el: ElementRef<HTMLElement>);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    initSplit(): void;
    private saveSrcText;
    readonly words: HTMLElement[];
    readonly lineWords: HTMLElement[];
    readonly chars: HTMLElement[];
    readonly lineChars: HTMLElement[];
    readonly nativeElement: HTMLElement;
    readonly srcText: string;
    readonly isInit: boolean;
    resetSplit(): void;
    private setCurrentOptions;
    private initSplitNodes;
}
